#
# spec file for package MP4Tools
#
# Copyright (c) 2018 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           MP4Tools
Version:        3.6.1
Release:        2.11
Summary:        Collection of free tools to manipulate MP4 files
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            https://www.mp4joiner.org
Source0:        https://sourceforge.net/projects/mp4joiner/files/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  gcc-c++
BuildRequires:  gpac
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libavcodec) >= 53.34.0
BuildRequires:  pkgconfig(libavfilter) >= 2.15.0
BuildRequires:  pkgconfig(libavformat) >= 53.20.0
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libwxsvg)
BuildRequires:  wxWidgets-3_0-devel
Requires:       ffmpeg
Requires:       gpac

%description
MP4Tools is a collection of tools to manipulate MP4 files.
It contains the following applications:
  MP4Joiner, that allows join multiple MP4 files into one
  MP4Splitter, that allows split a MP4 file in multiple files

%lang_package

%prep
%setup -q

%build
# do not install doc files
sed -i '/^doc_DATA/d' Makefile.in
export FFMPEG_PATH='%{_bindir}/ffmpeg'
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang mp4tools

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/mp4joiner
%{_bindir}/mp4splitter

%files lang -f mp4tools.lang

%changelog
* Thu Oct 11 2018 aloisio@gmx.com
- Update to version 3.6.1
  * added Traditional Chinese translation (thanks to Jason WU)
  * added Turkish translation (thanks to Bilal Harun)
  * updated ffmpeg to version 3.4.2
* Thu Jan 25 2018 aloisio@gmx.com
- Update to version 3.6
  * MP4Joiner: added possibility to specify temporary directory
  * MP4Joiner: added options "-bs-switching merge" and
    "-force-cat" to MP4Box
  * updated MP4Box to version 0.7.2-DEV-rev321
  * added Italian translation (thanks to Luigi Baldoni)
* Sat Nov 18 2017 aloisio@gmx.com
- Removed useless file line
* Sat Nov 18 2017 aloisio@gmx.com
- Initial package (3.5)
